
Redmine - Defect #19270

Creating new journal entries through REST API broken in Redmine 3.0.0

2015-03-04 11:48 - Tim Taler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.0.0

Description

Hi,

The following REST request worked fine in Redmine 2.6.x:

PUT /issues/5558.xml HTTP/1.1

Content-Length: 91

Content-Type: text/xml; charset=UTF-8

Host: redmine.server.com:80

Connection: Keep-Alive

User-Agent: Apache-HttpClient/4.1.1 (java 1.5)

Authorization: Basic httpbasicpassword.....==

<issue><id>5558</id><notes>test comment,please ignore</notes></issue>

 Since upgrading to Redmine 3.0.0 the server responds with a HTTP 200 but no new journal entry is committed to the database.

Associated revisions

Revision 14046 - 2015-03-07 08:31 - Jean-Philippe Lang

Adds a test for #19270.

History

#1 - 2015-03-07 08:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Works fine for me, I've added a test for this in r14046 and it passes.

Please reopen if you can provide more details about how to reproduce this.
